# Filename: tri_is_crossing.py
# Purpose: Returns True if triangles are crossing.
# Returns: Bool.

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation 

with vulcan.triangulation(input_tri) as tri: # Open triangulation in read mode
    state = tri.is_crossing() # Check for crossing

    # do something with results...
    print(state)